Index: /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/iniacademic_loc.f90	(revision 5281)
@@ -4,4 +4,5 @@
 SUBROUTINE iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
+  USE comgeom_mod_h
   USE filtreg_mod, ONLY: inifilr
   USE infotrac,    ONLY: nqtot, niso, iqIsoPha, tracers, isoName, addPhase
@@ -37,5 +38,4 @@
 
 
-  include "comgeom.h"
   include "academic.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/initdynav_loc.f90	(revision 5281)
@@ -5,5 +5,6 @@
 
   ! This routine needs IOIPSL
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
 
    USE parallel_lmdz
@@ -49,5 +50,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/initfluxsto_p.f90	(revision 5281)
@@ -7,5 +7,6 @@
 
   ! This routine needs IOIPSL
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
 
    USE parallel_lmdz
@@ -50,5 +51,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/inithist_loc.f90	(revision 5281)
@@ -5,5 +5,6 @@
 
   ! This routine needs IOIPSL
-   USE IOIPSL
+   USE comgeom_mod_h
+  USE IOIPSL
 
    USE parallel_lmdz
@@ -47,5 +48,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/integrd_loc.f90	(revision 5281)
@@ -5,4 +5,5 @@
         (  nq,vcovm1,ucovm1,tetam1,psm1,massem1, &
         dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps0,masse,phis) !,finvmaold)
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE control_mod
@@ -39,5 +40,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_gam_loc.f90	(revision 5281)
@@ -11,4 +11,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_rot_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !  rotout           est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/laplacien_rotgam_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !  divgra     est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -17,5 +18,4 @@
 
 
-  INCLUDE "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/leapfrog_loc.f90	(revision 5281)
@@ -2,5 +2,6 @@
         masse0,phis0,q0,time_0)
 
-   USE comdissnew_mod_h
+   USE comgeom_mod_h
+  USE comdissnew_mod_h
    USE misc_mod
    USE parallel_lmdz
@@ -76,5 +77,4 @@
   !   Declarations:
   !   -------------
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/massbar_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute air mass mean along X and Y in each cell.
 ! See iniconst for more details.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/massbarxy_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 ! Purpose: Compute air mass mean along X and Y in each cell.
 ! See iniconst for more details.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/massdair_loc.f90	(revision 5281)
@@ -1,3 +1,4 @@
 SUBROUTINE massdair_loc( p, masse )
+  USE comgeom_mod_h
   USE parallel_lmdz
   !
@@ -21,5 +22,4 @@
 
 
-  include "comgeom.h"
   !
   !  .....   arguments  ....
Index: /LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/mod_xios_dyn3dmem.f90	(revision 5281)
@@ -37,4 +37,5 @@
 
 
+     USE comgeom_mod_h
      USE comvert_mod, ONLY: presnivs
      USE parallel_lmdz
@@ -47,5 +48,4 @@
 
 
-     INCLUDE 'comgeom.h'
 
      TYPE(xios_duration) :: tstep_xios
Index: /LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/nxgrad_gam_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !   x  et y    sont des arguments de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
 
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
   INTEGER :: klevel
   REAL :: rot( ijb_v:ije_v,klevel )
Index: /LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/nxgrad_loc.f90	(revision 5281)
@@ -9,4 +9,5 @@
   !   x  et y    sont des arguments de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -17,5 +18,4 @@
 
 
-  INCLUDE "comgeom.h"
   INTEGER :: klevel
   REAL :: rot( ijb_v:ije_v,klevel ),x( ijb_u:ije_u,klevel )
Index: /LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/rotat_nfil_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !        rot          est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !   .....  variables en arguments  ......
Index: /LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/rotat_p.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !        rot          est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
@@ -18,5 +19,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !   .....  variables en arguments  ......
Index: /LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/rotatf_loc.f90	(revision 5281)
@@ -10,4 +10,5 @@
   !        rot          est  un argument  de sortie pour le s-prog
   !
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -19,5 +20,4 @@
 
 
-  INCLUDE "comgeom.h"
   !
   !   .....  variables en arguments  ......
Index: /LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/sw_case_williamson91_6_loc.f90	(revision 5281)
@@ -26,4 +26,5 @@
   !
   !=======================================================================
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE comconst_mod, ONLY: cpp, omeg, rad
@@ -40,5 +41,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/top_bound_loc.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !
 SUBROUTINE top_bound_loc(vcov,ucov,teta,masse,dt)
+  USE comgeom2_mod_h
   USE comdissipn_mod_h
   USE parallel_lmdz
@@ -16,5 +17,4 @@
 
 
-  include "comgeom2.h"
 
 
Index: /LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/tourpot_loc.f90	(revision 5281)
@@ -5,4 +5,5 @@
 !-------------------------------------------------------------------------------
 ! Purpose: Compute potential vorticity.
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE mod_filtreg_p
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 !===============================================================================
 ! Arguments:
Index: /LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/vlsplt_loc.F90	(revision 5281)
@@ -417,4 +417,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE infotrac, ONLY : nqtot,tracers, & ! CRisi                 &
@@ -428,5 +429,4 @@
 
 
-  include "comgeom.h"
   !
   !
Index: /LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/vlspltqs_loc.F90	(revision 5281)
@@ -422,4 +422,5 @@
   !
   !   --------------------------------------------------------------------
+  USE comgeom_mod_h
   USE parallel_lmdz
   USE infotrac, ONLY : nqtot,tracers, & ! CRisi                 &
@@ -433,5 +434,4 @@
 
 
-  include "comgeom.h"
   include "iniprint.h"
   !
Index: /LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/writedyn_xios.f90	(revision 5281)
@@ -5,4 +5,5 @@
      &                           masse,ps,phis)
 
+      USE comgeom_mod_h
       USE lmdz_xios
       USE parallel_lmdz
@@ -13,5 +14,5 @@
       USE temps_mod, ONLY: itau_dyn
       USE mod_xios_dyn3dmem, ONLY : writefield_dyn_u, writefield_dyn_v
-      
+
       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -39,5 +40,4 @@
 
 
-      include "comgeom.h"
       include "description.h"
       include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/writedynav_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 
   ! This routine needs IOIPSL
+  USE comgeom_mod_h
   USE ioipsl
 
@@ -48,5 +49,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- /LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dyn3dmem/writehist_loc.f90	(revision 5281)
@@ -6,4 +6,5 @@
 
   ! This routine needs IOIPSL
+  USE comgeom_mod_h
   USE ioipsl
 
@@ -48,5 +49,4 @@
 
 
-  include "comgeom.h"
   include "description.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/calfis.f90	(revision 5281)
@@ -29,4 +29,5 @@
   !    Auteur :  P. Le Van, F. Hourdin
   !   .........
+  USE comgeom2_mod_h
   USE infotrac, ONLY: nqtot, tracers
   USE control_mod, ONLY: planet_type, nsplit_phys
@@ -94,5 +95,4 @@
   PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-  include "comgeom2.h"
   include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/calfis_loc.F90	(revision 5281)
@@ -51,4 +51,5 @@
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_PHYS
 #ifdef CPP_PARA
+  USE comgeom2_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -111,5 +112,4 @@
   PARAMETER( ngridmx = 2+(jjm-1)*iim - 1/jjm   )
 
-  include "comgeom2.h"
   include "iniprint.h"
   !    Arguments :
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5281)
@@ -39,4 +39,5 @@
 #endif
 
+  USE comgeom2_mod_h
   USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, kappa, omeg, r, rad, &
                           pi, jmp1
@@ -55,5 +56,4 @@
 
 
-  include "comgeom2.h"
   include "iniprint.h"
   
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5281)
@@ -45,4 +45,5 @@
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   USE comdissnew_mod_h
+  USE comgeom2_mod_h
 IMPLICIT NONE
 
@@ -53,5 +54,4 @@
 
 
-  include "comgeom2.h"
   REAL, SAVE :: deg2rad
   INTEGER,            SAVE      :: iml_dyn, jml_dyn, llm_dyn, ttm_dyn, fid_dyn
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5281)
@@ -57,9 +57,9 @@
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
   USE dimsoil_mod_h, ONLY: nsoilmx
+  USE comgeom2_mod_h
   PRIVATE
   PUBLIC :: etat0phys_netcdf
 
   include "iniprint.h"
-  include "comgeom2.h"
   include "clesphys.h"
   REAL, SAVE :: deg2rad
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5281)
@@ -38,5 +38,6 @@
   USE bands, ONLY : distrib_phys
 #endif
-  USE mod_phys_lmdz_omp_data, ONLY: klon_omp 
+  USE comgeom_mod_h
+  USE mod_phys_lmdz_omp_data, ONLY: klon_omp
   USE ioipsl_getin_p_mod, ONLY: getin_p
   USE slab_heat_transp_mod, ONLY: ini_slab_transp_geom
@@ -56,5 +57,4 @@
   include "iniprint.h"
   include "tracstoke.h"
-  include "comgeom.h"
 
   REAL, INTENT (IN) :: prad ! radius of the planet (m)
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5281)
@@ -3,4 +3,5 @@
 !*******************************************************************************
 
+  USE comgeom2_mod_h
   USE indice_sol_mod,     ONLY: is_ter, is_oce, is_oce, is_lic, epsfra
   USE dimphy,             ONLY: klon, zmasq
@@ -20,5 +21,4 @@
   PUBLIC :: start_init_subsurf
   include "iniprint.h"
-  include "comgeom2.h"
 
 CONTAINS
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5281)
@@ -70,4 +70,5 @@
 !-------------------------------------------------------------------------------
 #ifndef CPP_1D
+  USE comgeom2_mod_h
   USE indice_sol_mod
   USE netcdf,             ONLY: NF90_OPEN,    NF90_CREATE,  NF90_CLOSE,        &
@@ -82,7 +83,8 @@
   USE lmdz_cppkeys_wrapper, ONLY: nf90_format
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
-USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
+  USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
           ip1jmi1, ijp1llm, ijmllm, mvar, jcfil, jcfllm
-IMPLICIT NONE
+  USE comgeom2_mod_h
+  IMPLICIT NONE
 !-------------------------------------------------------------------------------
 ! Arguments:
@@ -93,7 +95,4 @@
   REAL, DIMENSION(iip1,jjp1), INTENT(INOUT) :: phis   ! ground geopotential
   LOGICAL,                    INTENT(IN)    :: extrap ! SST extrapolation flag
-!-------------------------------------------------------------------------------
-! Local variables:
-  include "comgeom2.h"
 
 !--- INPUT NETCDF FILES AND VARIABLES NAMES ------------------------------------
@@ -339,5 +338,4 @@
 
 
-  include "comgeom2.h"
 !-----------------------------------------------------------------------------
 ! Arguments:
Index: /LMDZ6/trunk/libf/filtrez/filtreg_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/filtreg_mod.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/filtrez/filtreg_mod.F90	(revision 5281)
@@ -14,5 +14,6 @@
   USE mod_filtre_fft_loc, ONLY : Init_filtre_fft_loc=>Init_filtre_fft    !
 #endif
-  USE serre_mod, ONLY: alphax
+  USE comgeom_mod_h
+    USE serre_mod, ONLY: alphax
   USE logic_mod, ONLY: fxyhypb, ysinus
   USE comconst_mod, ONLY: maxlatfilter
@@ -32,5 +33,4 @@
 
     !  -------------------------------------------------------------------
-    include "comgeom.h"
     include "coefils.h"
 
Index: /LMDZ6/trunk/libf/filtrez/inifgn.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/inifgn.F90	(revision 5280)
+++ /LMDZ6/trunk/libf/filtrez/inifgn.F90	(revision 5281)
@@ -6,4 +6,5 @@
   !    ...  H.Upadyaya , O.Sharma  ...
   !
+  USE comgeom_mod_h
   USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 USE paramet_mod_h, ONLY: iip1, iip2, iip3, jjp1, llmp1, llmp2, llmm1, kftd, ip1jm, ip1jmp1, &
@@ -13,5 +14,4 @@
 
 
-  include "comgeom.h"
 
   !
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/comgeom2_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/comgeom2_mod_h.f90	(revision 5281)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/comgeom2_mod_h.f90	(revision 5281)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/comgeom2_mod_h.f90
Index: /LMDZ6/trunk/libf/phylmd/dyn1d/comgeom_mod_h.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/dyn1d/comgeom_mod_h.f90	(revision 5281)
+++ /LMDZ6/trunk/libf/phylmd/dyn1d/comgeom_mod_h.f90	(revision 5281)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/comgeom_mod_h.f90
